Imports System
Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms

Public Class TreeAdapter
  'Adapter umożliwiający użycie kontrolki TreeView 
  'Zamiast kontrolki ListBox
  Private Tree As TreeView        'Instancja kontrolki

  Public Sub New(ByVal tr As TreeView)
    Tree = tr
  End Sub
  '-------------
  Public Sub addText(ByVal sw As Swimmer)
    Dim scnt As String
    Dim nod As TreeNode
    'Dodaj węzeł korzenia
    nod = Tree.Nodes.Add(sw.getName)

    'I węzeł podrzędny
    nod.Nodes.Add(sw.getTime.ToString)
    Tree.ExpandAll()
  End Sub

End Class
